io.undertow.server.handlers.cache

## Class DirectBufferCache.CacheEntry

- java.lang.Object
- - io.undertow.server.handlers.cache.DirectBufferCache.CacheEntry

Enclosing class:
  DirectBufferCache

    public static final class DirectBufferCache.CacheEntry
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `allocate()`
`LimitedBufferSlicePool.PooledByteBuffer[]` `buffers()`
`boolean` `claimEnable()`
`boolean` `dereference()`
`void` `disable()`
`void` `enable()`
`boolean` `enabled()`
`int` `hit()`
`Object` `key()`
`boolean` `reference()`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### size

    public int size()

#### buffers

    public LimitedBufferSlicePool.PooledByteBuffer[] buffers()

#### hit

    public int hit()

#### key

    public Object key()

#### enabled

    public boolean enabled()

#### enable

    public void enable()

#### disable

    public void disable()

#### claimEnable

    public boolean claimEnable()

#### reference

    public boolean reference()

#### dereference

    public boolean dereference()

#### allocate

    public boolean allocate()